<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

$sortId = 4;
$toolId = \ToolsAPI::TOOL_RAUMBELEGUNG_HM;

$objsettings = ToolSettingsAPI::getToolSettings($toolId);

$settingsArray = array();

$setting = new Setting();
$setting->name = 'kursFilterVorbelegenAktuellesSemester';
$setting->description = 'Kursfilter mit aktuellem Semester vorbelegen';
$setting->help = 'Ist diese Option nicht gesetzt, wird der Kursfilter mit der aktuellen Woche vorbelegt. Wenn diese '
  . 'Option gesetzt ist, sollten bei den hinterlegten Semestern in KuferSQL (Einstellungen / Hinterlegungen Kurse / '
  . 'Semesterbezeichnungen) keine Datumslücken zwischen den Semestern sein.';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_CHECKBOX);
array_push($settingsArray, $setting);